package com.rjconsultores.ventaboletos.vo.conexion;

import java.util.Comparator;

import com.rjconsultores.ventaboletos.vo.parada.ParadaVOConexionRuta;

public class OrdenarLocalidadesGeradas implements Comparator<ParadaVOConexionRuta> {

	@Override
	public int compare(ParadaVOConexionRuta o1, ParadaVOConexionRuta o2) {
		int retorno = o1.getParadaOrigemTrecho().getParadaId().compareTo(o2.getParadaOrigemTrecho().getParadaId());
		if(retorno == 0) {
			retorno = o1.getParadaDestinoTrecho().getParadaId().compareTo(o2.getParadaDestinoTrecho().getParadaId());
		}
		if(retorno == 0) {
			retorno = o1.getGrupo().compareTo(o2.getGrupo());
		}
		if(retorno == 0) {
			retorno = o1.getSecuencia().compareTo(o2.getSecuencia());
		}
		return retorno;
	}

}
